transform.hh File Reference
`#include <iterator>`
`#include <memory>`
`#include <ostream>`
`#include <mia/core/transformation.hh>`
`#include <mia/core/filter.hh>`
`#include <mia/2d/matrix.hh>`
`#include <mia/2d/image.hh>`
`#include <mia/2d/interpolator.hh>`
Include dependency graph for 2d/transform.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C2DTransformation
| This is the generic base class for 2D transformations. More...
class | C2DTransformation::const_iterator
class | C2DTransformation::iterator_impl
| Base of the implementation of an iterator over the transformation domain This iterator takes care of iterating over the transformation range. X is the fastest changing index. Some methods are abstract and must be defined in derived classes by using the specific transformation model. More...

## Typedefs

typedef C2DTransformation::Pointer | P2DTransformation
| Pointer type for the 2D transformation.

## Functions

EXPORT_2D bool | operator!= (const C2DTransformation::const_iterator &a, const C2DTransformation::const_iterator &b)
| Compare two transformation iterators.
C2DTransformation::const_iterator | operator+ (C2DTransformation::const_iterator i, size_t delta)
| Move an 2D transformation iterator forward by using its provided += operator don't use a reference to the iterator, because we use the created copy as result.
std::ostream & | operator<< (std::ostream &os, const C2DTransformation::const_iterator &i)

## Function Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | os,
|  | const C2DTransformation::const_iterator & | i )

inline

Print information about the iterator i to stream os (for debugging)

Parameters

  os |
  i |

Returns
  os

Definition at line 430 of file 2d/transform.hh.

References C2DTransformation::const_iterator::print().